Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 620650 - clear part gui allows selecting of bootdrives which are not in bootloader drivelist
clear part gui allows selecting of bootdrives which are not in bootloader dri...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-03 03:57 EDT by Hans de Goede
Modified: 2012-02-28 11:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-28 11:07:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2010-08-03 03:57:25 EDT
Hi All,

When a drive has a whole disk formatting (for example a whole disk PV), the user can still select it as bootdrive in the clear part gui. But this won't do anything then as the selected drive gets passed to bootloader.updateDriveList, which ignores drives it does not know about.

Making this problem more interesting is that during autopartitioning the whole disk format may get cleared and replaced by a disklabel, making the drive eligible for booting from, but at this time the bootdisk choice is lost.

Regards,

Hans
Comment 1 Chris Lumens 2012-02-28 11:07:27 EST
The new UI I'm currently working on won't have a clearpart screen at all, so this problem should no longer affect it.

Note You need to log in before you can comment on or make changes to this bug.